/* ******************************************************** */
/* pivottable.js - CSS definitions */
/* Stand: 03.12.2018 */
/* Projekt: www.amnog.de */
/* ******************************************************** */


/* Clear style settings */
#output {
	font-size: 90%;
}
#output .col1,
#output .col2,
#output .col3,
#output .col4,
#output .col5,
#output .col6 {
	float: none;
	width: auto;
}

#output label,
#output input,
#output button,
#output textarea {
	font-size: 90%;
	font-family: 'Roboto-Regular'; /* bold */
	display: inline;
	width: auto;
	line-height: 100%;
	padding: 0.1em 0.3em;
	white-space: normal;
}



/* *********************************************************
Copy&Paste protection: Make Table UNSELECTABLE
********************************************************* */
/*
  #output table {
		-ms-user-select: none;
		-o-user-select:none;
		-moz-user-select: none;
		-khtml-user-select: none;
		-webkit-user-select: none;
		-webkit-touch-callout: none;
		user-select: none;
		cursor: default;
	}
*/

table.pvtUi th,
table.pvtUi td {
	width: auto;
	padding: 0;
	display: table-cell;
	border-bottom: none;
}
	table.pvtUi td:nth-child(n+2):last-child {
		border-bottom: 1px solid #ccc;
	}

table.pvtUi td {
	border: none;
	padding: 0px;
}
table.pvtUi td:first-child {
	width: 280px;
	padding: 0;
}
@media screen and (max-width: 1081px) {
	table.pvtUi td {
		padding: 0 !important;
	}
}

table.pvtUi tr:nth-child(even) {
	background: none;
}
table.pvtUi tr:first-child {
	border-top: 1px solid #ccc;
	border-bottom: 1px solid #ccc;
	padding: 0;
}

table.pvtUi .pvtColOrder,
table.pvtUi .pvtRowOrder {
	font-size: 140%;
	padding: 0 0.5em;
	width: 1em;
	text-align: center;
	cursor: pointer;
}

table.pvtTable {
	text-align: center;
	border-collapse: collapse;
	overflow: visible;
	margin: 0;
	padding: 0;
}

table.pvtTable th {
	padding: 0 0 0 2px;
	color: #000;
	border: none;
	background: linear-gradient(
		to top right,
		#cccccc 49.5%,
		#ffffff 49.6%,
		#ffffff,
		#ffffff 50.4%,
		#cccccc 50.5%
	);
}
table.pvtTable th.pvtAxisLabel {
	font-size: 1.2em;
	white-space: nowrap;
	background: #ccc;
	border-left: 1px solid #ffffff;
}
table.pvtTable th.pvtColLabel {
	background: #ccc;
	border-left: 1px solid #FFFFFF;
	border-top: 1px solid #FFFFFF;
	text-align: left;
	padding: 0px 2px;
}

table.pvtTable th.pvtRowLabel {
	background: #ccc;
	border-top: 1px solid #FFFFFF;
	border-right: 1px solid #FFFFFF;
	text-align: right;
	padding: 0px 2px;
	max-width: 600px;
}
table.pvtTable .pvtTotalLabel {
	font-family: 'Roboto-Regular'; /* bold */
	text-shadow: 0 0 0 #000000;
	background: #fff;
	border-right: none;
	border-bottom: none;
}
table.pvtTable .pvtTotal,
table.pvtTable .pvtRowTotal,
table.pvtTable .pvtGrandTotal {
	font-family: 'Roboto-Regular'; /* bold */
	text-shadow: 0 0 0 #000000;
	font-style: italic;
	background: #fff;
	border-right: none;
	border-bottom: none;
}
table.pvtTable .pvtGrandTotal {
	border-top: 1px solid #ccc;
	border-left: 1px solid #ccc;
}

table.pvtTable td {
	padding: 0 2px;
	color: #000;
	border: 1px solid #ccc;
	min-width: 4em;
}





td.pvtAxisContainer.pvtRows.ui-sortable {
	background: #f6f6f6;
	vertical-align: top;
	width: 350px;
}
td.pvtAxisContainer.pvtCols.ui-sortable {
	background: #f6f6f6;
}


.pvtAggregator {

}

.pvtVals,
.pvtAxisContainer {
	padding: 2px;
	position: relative;
}
.pvtVals a {
	text-decoration: none;
}


td.pvtTotal,
td.pvtGrandTotal,
td.pvtVal {
	cursor: pointer;
}
td.pvtVal[data-value="null"] {
	cursor: auto;
}

.pvtAxisContainer li {
	list-style-type: none;
	cursor:move;
	margin: 0 3px 3px 0;
}
	.pvtAxisContainer li:before {
		display: none;
	}
.pvtAxisContainer li.pvtPlaceholder {
	border-radius: 4px;
	border: 1px dashed #448193;
}

.pvtAxisContainer li span.pvtAttr {
	background: #448193;
	color: #ffffff;
	border: 1px solid #448193;;
	border-radius: 4px;
	padding: 2px 4px;
	font-size: 100%;
	font-family: Arial, sans-serif;
	transition: all 0.3s ease-out;
	white-space:nowrap;
}

.pvtTriangle {
	position: relative;
	cursor: pointer;
	color: #448193;;
}
.pvtTriangle:after {
	font-family: FontAwesome;
	content: '\f078'; /*     chevron-down */
	color: #ffffff;
	margin: 0 0 0 -0.5em;
	padding: 0;
	/*background: #a6bfc8;*/
	transition: all 0.3s ease-out;
	width: 1em;
	height: 1em
}
.pvtHorizList li {
	display: inline-block;
}
.pvtVertList {
	vertical-align: top;
}

.tx-amnog table tr td.pvtAxisContainer.pvtUnused {
	width: 340px;
}

.pvtAxisContainer li.pvtFilteredAttribute span.pvtAttr {
	color: #bcd335;
	border: 1px solid #bcd335;
}
.pvtAxisContainer li.pvtFilteredAttribute .pvtTriangle:after {
		color: #bcd335;
	}

.pvtFilterBox{
	position: absolute;
	z-index: 50;
	width: 290px;
	background-color: #448193;
	border: 1px solid #448193;
	border-radius: 4px;
	box-shadow: 2px 3px 5px #999;
	padding: 1em 1em 0.5em 1em;
	text-align: center;
	color: #ffffff;
}
.pvtFilterBox h4 {
	font-family: 'Roboto-Regular'; /* bold */
	font-size: 100%;
	line-height: 110%;
	padding:0 0 5px 0;
	margin: 0;
	color: #ffffff;
}
.pvtFilterBox .count {
	font-size: 90%;
	padding-left: 0.3em;
	margin-top: -0.1em;
	color: #a6bfc8;
	font-style: italic;
}
#output input.pvtSearch {
	width: calc(100% - 1em);
	padding: 0.3em 0.5em;
	border-radius: 4px;
}
.pvtCheckContainer{
	text-align: left;
	overflow: -moz-scrollbars-vertical;
	overflow-y: scroll;
	overflow-x: hidden;
	width: 100%;
	margin: 5px 0;
	max-height: 200px;
	border: 1px solid #a6bfc8;
	border-radius: 4px;
}
.pvtCheckContainer p {
	line-height: 130%;
	text-indent: -1.5em;
	margin: 0 0.5em 0 1.5em;
	border-bottom: 1px dotted #dae6f0;
}

#output p button {
	border: 1px solid #a6bfc8;
	border-radius: 4px;
	background: #448193;
	color: #ffffff;
	width: 40%;
	margin: 0.7em 0;
	padding: 5px;
	font-size: 100%;
	font-family: Arial, sans-serif;
	transition: all 0.3s ease-out;
	float: left;
	clear: none;
}
	#output p button:last-child {
		float: right;
	}
	#output p button:hover {
		border: 1px solid #bcd335;
		text-shadow: 0 0 0 #ffffff;
		color: #bcd335;
	}

#output p:last-child button {
	float: left;
}
#output p:last-child button:first-child {
	float: right;
	background: #a6bfc8;
}
	#output p:last-child button:first-child:before {
		font-family: 'FontAwesome';
		font-size: 130%;
		content: '\f00c'; /* fa-check */
		color: inherit;
		position: relative;
		top: 0.1em;
		margin: 0 0.2em 0 0;
		padding: 0;
	}

	#output p:last-child button:first-child:hover {
		color: #448193;
		border-color: #448193;
	}


/* ******************************************************** */
/* Button-Styling */
/* ******************************************************** */
#output select {
	border: 1px solid #448193;
	border-radius: 2px;
	background: #448193;
	color: #ffffff;
	margin: 2px 2px 2px 0;
	padding: 2px 5px;
	font-size: 100%;
	font-family: Arial, sans-serif;
	transition: all 0.3s ease-out;
}
select::-ms-expand {
	color: #ffffff;
}

table.pivotcss td {
	border: none;
}

/* ******************************************************** */
/* Buttons: Clear table + Load + Save to Disk */
/* ******************************************************** */
	/* Inbput fields themselves are (almost) hidden */
	#cleartable,
	#loadfromdisk,
	#savetodisk,
	#excelexport { /* "Reset"-Button verbergen, Styling NUR über Label */
		width: 0.1px;
		height: 0.1px;
		opacity: 0;
		overflow: hidden;
		position: absolute;
		z-index: -1;
	}
		/* Button label styling */
		#cleartable-label,
		#loadfromdisk-label,
		#savetodisk-label,
		#excelexport-label {
			width: auto;
			line-height: 130%;
			border: 1px solid #a6bfc8;
			border-radius: 4px;
			background: #ffffff;
			color: #a6bfc8;
			margin: 0 0.4em 1em 0;
			padding: 2px 0.2em 2px 2px;
			font-family: Arial, sans-serif;
			transition: all 0.3s ease-out;
			font-size: 90%;
			cursor: pointer;
			float: left;
			text-align: center;
		}
			#cleartable-label:hover,
			#loadfromdisk-label:hover,
			#savetodisk-label:hover {
				background: #448193;
				border: 1px solid #bcd335;
				color: #bcd335;
			}

		/* Icons */
		#cleartable-label:before,
		#loadfromdisk-label:before,
		#savetodisk-label:before,
		#excelexport-label:before {
			font-family: 'FontAwesome';
			font-size: 130%;
			/*content: '\f382'; !* cloud-upload-alt *!*/
			color: inherit;
			position: relative;
			top: 0.1em;
			margin: 0 0.1em 1em 0;
			padding: 0 0 0 0.2em;
		}
		#cleartable-label:before { content: '\f108'; } /* fa-desktop */
		#loadfromdisk-label:before { content: '\f382'; } /* cloud-upload-alt */
		#savetodisk-label:before { content: '\f381'; } /* cloud-download-alt */
		#excelexport-label:before { content: '\f1c3'; } /* file-excel */

		.saveLoadExport {
			float: right;
		}
			@media screen and (max-width: 768px) {
				.saveLoadExport {
					float: left;
				}
			}

	/* Excel button gets its own color */
	#excelexport-label {
		margin-right: 0;
		background: #448193;
		color: #ffffff;
	}
	#excelexport-label:hover {
		border: 1px solid #bcd335;
		color: #bcd335;
	}


/* ******************************************************** */
/* Button: Excel Export */
/* ******************************************************** */
button#excel-download-button {
	margin-top: 30%;
	margin-left: 45%;
	margin-right: 0;
	line-height: 130%;
	padding: 0px 8px 2px 8px;
	font-family: Arial, sans-serif;
	transition: all 0.3s ease-out;
	font-size: 100%;
	width: 200px;
	height: 4em;
	cursor: pointer;
	border: 2px solid #a6bfc8;
	border-radius: 4px;
	outline: 2px solid #448193
}
	button#excel-download-button:hover {
			color: #bcd335;
			background: #448193;
			border: 2px solid #bcd335;
		}
			button#excel-download-button:before {
				font-family: 'FontAwesome';
				font-size: 220%;
				content: '\f1c3'; /* file-excel */
				color: inherit;
				position: relative;
					top: 0.2em;
				margin: 0 0.3em 0 0;
			}



/* ******************************************************** */
/* Reset table styling */
/* ******************************************************** */
.tx-amnog table tr th:first-child,
.tx-amnog table tr td:first-child {
	width: auto;
}


/* ******************************************************** */
/* LIGHTBOX */
/* ******************************************************** */
div.dimensions {
	display: inline-block;
}

div.dimensionSelectbox {
	line-height: 100%;
	border-radius: 4px;
	background: #448193;
	color: #ffffff;
	margin: 1px 0.4em 1px 0;
	padding: 3px 0.2em 2px 0.2em;
	font-family: Arial, sans-serif;
	font-size: 90%;
	width: auto;
	float: left;
	margin-top: 0;
	border: 1px solid #448193;
}
	@media screen and (max-width: 1081px) {
		div.dimensionSelectbox {
			margin-left: 0;
		}
	}
	.dimensionSelectbox input {
		display: none;
	}
	.dimensionSelectbox label {
		display: inline;
		font-size: 100%;
		line-height: 130%;
		padding: 0.1em 0 0 0;
		cursor: pointer;
		transition: color 0.3s ease-in-out;
	}
		.dimensionSelectbox input + label::before {
			padding: 0 0.4em 0 0.2em;
			font-family: FontAwesome;
			content: '\f0c8'; /* square */
			color: #ffffff;
			transition: color 0.3s ease-in-out;
		}
			.dimensionSelectbox input:checked + label::before {
				content: '\f14a'; /* check-square */
			}
			.dimensionSelectbox input:hover + label,
			.dimensionSelectbox input:hover + label::before {
				color: #ceda26;
			}

		/* Dimensions for pivotCssSytyling() */
		.pvtAxisContainer li.dossier span.pvtAttr,
		.dimensionSelectbox.dossier {
			background: #1593b1;
		}
		.pvtAxisContainer li.dossier-endpunkte span.pvtAttr,
		.dimensionSelectbox.dossier-endpunkte {
			background: #1593b1;
		}
		.pvtAxisContainer li.gba span.pvtAttr,
		.dimensionSelectbox.gba {
			background: #575a83;
		}
		.pvtAxisContainer li.gba-endpunkte span.pvtAttr,
		.dimensionSelectbox.gba-endpunkte {
			background: #575a83;
		}
		.pvtAxisContainer li.iqwig span.pvtAttr,
		.dimensionSelectbox.iqwig {
			background: #035f7d;
		}
		.pvtAxisContainer li.preis span.pvtAttr,
		.dimensionSelectbox.preis {
			background: #00928b;
		}
		.pvtAxisContainer li.preis-pzn span.pvtAttr,
		.dimensionSelectbox.preis-pzn {
			background: #00928b;
		}
		.pvtAxisContainer li.preis-jtk span.pvtAttr,
		.dimensionSelectbox.preis-jtk {
			background: #00928b;
		}
		.pvtAxisContainer li.regulatory span.pvtAttr,
		.dimensionSelectbox.regulatory {
			background: #035f7d;
		}

/* ******************************************************** */
/* LIGHTBOX */
/* ******************************************************** */
#lightbox {
	display: none;
	z-index: 100;
	position: absolute;
	top: 0;
	right: 0px;
	bottom: 0px;
	left: 0px;
}
/* Lightbox Background */
#lightbox-background {
	position: fixed;
	width: 100%;
	height: 100%;
	background: #000;
	background: rgba(0,0,0,0.7);
	z-index: -1;
	cursor: pointer;
}

/* Lightbox Foreground (visible window) */
#lightbox-foreground {
	position: relative;
	background: #fff;
	margin: 100px auto;
	padding: 0;
	width: 70%;
	max-width: 780px;
	border: 0.5em solid #ffffff;
	border-radius: 4px;
}
@media screen and (max-width: 1081px) { #lightbox-foreground { width: 95%; } }

/* Lightbox Content (visible window) */
table#lightbox-content {
	width: 100%;
	margin: 0;
}
	table#lightbox-content th {
		padding-top: 0.2em;
		padding-bottom: 0.2em;
	}
	table#lightbox-content tr td {
		padding: 0 0 0 0.1em;
		width: auto;
	}
	table#lightbox-content a {
		text-decoration: underline;
	}
	table#lightbox-content a:hover {
		text-decoration: none;
	}

/* Lightbox Close Button */
#lightbox-close {
	float: right;
	margin: -1em -1em;
	padding: 0.3em 0.5em;
	line-height: 90%;
	color: #ffffff;
	background: #448193;
	cursor: pointer;
	border: 2px solid #ffffff;
	transition: color 0.3s ease-in-out, border 0.3s ease-in-out;
}
	#lightbox-close:hover {
		border-color: #ceda26;
		color: #ceda26;
	}
